GpgFrontend::GpgTOFUInfo Class Reference
Collaboration diagram for GpgFrontend::GpgTOFUInfo:

## Public Member Functions

unsigned | GetValidity () const
unsigned | GetPolicy () const
unsigned long | GetSignCount () const
unsigned long | GetEncrCount () const
unsigned long | GetSignFirst () const
unsigned long | GetSignLast () const
unsigned long | GetEncrLast () const
std::string | GetDescription () const
| GpgTOFUInfo ()
| Construct a new Gpg T O F U Info object. More...
| GpgTOFUInfo (gpgme_tofu_info_t tofu_info)
| Construct a new Gpg T O F U Info object. More...
| GpgTOFUInfo (GpgTOFUInfo &&o) noexcept
| Construct a new Gpg T O F U Info object. More...
| GpgTOFUInfo (const GpgTOFUInfo &)=delete
| Construct a new Gpg T O F U Info object. More...
GpgTOFUInfo & | operator= (GpgTOFUInfo &&o) noexcept
GpgTOFUInfo & | operator= (const GpgTOFUInfo &)=delete

## Private Types

using | SubkeyRefHandler = std::unique_ptr< struct _gpgme_tofu_info, std::function< void(gpgme_tofu_info_t)> >

## Private Attributes

SubkeyRefHandler | _tofu_info_ref = nullptr

## Constructor & Destructor Documentation

## GpgTOFUInfo() [1/4]

GpgFrontend::GpgTOFUInfo::GpgTOFUInfo | ( |  | ) |

default

Construct a new Gpg T O F U Info object.

Copyright (C) 2021 Saturneric

This file is part of GpgFrontend.

GpgFrontend is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

GpgFrontend is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with GpgFrontend. If not, see https://www.gnu.org/licenses/.

The initial version of the source code is inherited from the gpg4usb project, which is under GPL-3.0-or-later.

All the source code of GpgFrontend was modified and released by Saturnericeric@.nosp@m.bktu.nosp@m.s.com starting on May 12, 2021.

SPDX-License-Identifier: GPL-3.0-or-later

## GpgTOFUInfo() [2/4]

GpgFrontend::GpgTOFUInfo::GpgTOFUInfo | ( | gpgme_tofu_info_t | tofu_info | ) |

explicit

Construct a new Gpg T O F U Info object.

Parameters

  tofu_info |

## GpgTOFUInfo() [3/4]

GpgFrontend::GpgTOFUInfo::GpgTOFUInfo | ( | GpgTOFUInfo && | o | ) |

noexcept

Construct a new Gpg T O F U Info object.

Parameters

  o |

## GpgTOFUInfo() [4/4]

GpgFrontend::GpgTOFUInfo::GpgTOFUInfo | ( | const GpgTOFUInfo & |  | ) |

delete

Construct a new Gpg T O F U Info object.

## Member Function Documentation

## GetDescription()

std::string GpgFrontend::GpgTOFUInfo::GetDescription | ( |  | ) | const

Returns
  std::string

## GetEncrCount()

unsigned long GpgFrontend::GpgTOFUInfo::GetEncrCount | ( |  | ) | const

Returns
  unsigned long

## GetEncrLast()

unsigned long GpgFrontend::GpgTOFUInfo::GetEncrLast | ( |  | ) | const

Returns
  unsigned long

## GetPolicy()

unsigned GpgFrontend::GpgTOFUInfo::GetPolicy | ( |  | ) | const

Returns
  unsigned

## GetSignCount()

unsigned long GpgFrontend::GpgTOFUInfo::GetSignCount | ( |  | ) | const

Returns
  unsigned long

## GetSignFirst()

unsigned long GpgFrontend::GpgTOFUInfo::GetSignFirst | ( |  | ) | const

Returns
  unsigned long

## GetSignLast()

unsigned long GpgFrontend::GpgTOFUInfo::GetSignLast | ( |  | ) | const

Returns
  unsigned long

## GetValidity()

unsigned GpgFrontend::GpgTOFUInfo::GetValidity | ( |  | ) | const

Returns
  unsigned

## operator=() [1/2]

GpgTOFUInfo& GpgFrontend::GpgTOFUInfo::operator= | ( | const GpgTOFUInfo & |  | ) |

delete

Returns
  GpgTOFUInfo&

## operator=() [2/2]

GpgFrontend::GpgTOFUInfo & GpgFrontend::GpgTOFUInfo::operator= | ( | GpgTOFUInfo && | o | ) |

noexcept

Parameters

  o |

Returns
  GpgTOFUInfo&

The documentation for this class was generated from the following files:

- src/core/model/GpgTOFUInfo.h
- src/core/model/GpgTOFUInfo.cpp